Bug 976847 - Review Request: python-amqp - Low-level AMQP client for Python
Review Request: python-amqp - Low-level AMQP client for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 974684
  Show dependency treegraph
 
Reported: 2013-06-21 12:04 EDT by Eric Harney
Modified: 2013-09-02 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-amqp-1.0.11-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 11:50:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
metherid: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Eric Harney 2013-06-21 12:04:37 EDT
Spec URL: http://people.fedoraproject.org/~eharney/python-amqp/python-amqp.spec
SRPM URL: http://people.fedoraproject.org/~eharney/python-amqp/python-amqp-1.0.11-1.f20.src.rpm

Description: Low-level AMQP client for Python

This is a fork of amqplib, maintained by the Celery project.
This library should be API compatible with librabbitmq.

This is a requirement for python-kombu in F20.
Comment 1 Rahul Sundaram 2013-06-21 12:40:23 EDT
Are you targeting EPEL 5, 6 etc?  Otherwise,  the python macros, defattr etc.  If you are targeting EPEL, you might want to do a koji scratch build on those and make sure it builds and works as intended. 

Please add a comment on top of sed -i s/^extensions/disable_extensions/ conf.py explaining why you are doing that.
Comment 2 Rahul Sundaram 2013-06-21 12:51:16 EDT
python-amqp-doc.noarch: W: doc-file-dependency /usr/share/doc/python-amqp-doc-1.0.11/demo/demo_receive.py /usr/bin/env
python-amqp-doc.noarch: W: doc-file-dependency /usr/share/doc/python-amqp-doc-1.0.11/demo/demo_send.py /usr/bin/env
python-amqp-doc.noarch: W: doc-file-dependency /usr/share/doc/python-amqp-doc-1.0.11/demo/amqp_clock.py /usr/bin/env
Comment 3 Rahul Sundaram 2013-06-21 13:00:00 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     amqp-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 10 files have unknown
     license. Detailed output of licensecheck in /home/rahul/976847-python-
     amqp/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
Note: doc sub-package seems to not include licensing info and demo examples lack licensing as well. 
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 81920 bytes in 6 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.



Requires
--------
python-amqp-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    python-amqp

python-amqp (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-amqp-doc:
    python-amqp-doc

python-amqp:
    python-amqp



Source checksums
----------------
http://pypi.python.org/packages/source/a/amqp/amqp-1.0.11.tar.gz :
  CHECKSUM(SHA256) this package     : e26d184024262ac93ba1177217b9a48edba55c5a0a46f3cba35d35d498ebe784
  CHECKSUM(SHA256) upstream package : e26d184024262ac93ba1177217b9a48edba55c5a0a46f3cba35d35d498ebe784


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 976847
Comment 4 Eric Harney 2013-06-21 14:31:18 EDT
(In reply to Rahul Sundaram from comment #1)
> Are you targeting EPEL 5, 6 etc?  Otherwise,  the python macros, defattr
> etc.  If you are targeting EPEL, you might want to do a koji scratch build
> on those and make sure it builds and works as intended. 

Yes, planning to build for EPEL 6.  Scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=5528749

I think I have addressed all other concerns you flagged.  SRPM and spec file have been updated in-place, with the old copies at http://fedorapeople.org/~eharney/python-amqp/old/ .

Changes made can be seen here: http://fedorapeople.org/~eharney/python-amqp/review_changes.patch
Comment 5 Rahul Sundaram 2013-06-21 16:14:14 EDT
Just as a note for future reviews, you are expected to bump up the spec and post the new srpm and spec instead of replacing the copy inline which makes it harder to differentiate but the changes themselves look fine.  

==  APPROVED ==
Comment 6 Eric Harney 2013-06-21 17:13:55 EDT
New Package SCM Request
=======================
Package Name: python-amqp
Short Description: Low-level AMQP client for Python
Owners: eharney
Branches: f19 el6
InitialCC:
Comment 7 Gwyn Ciesla 2013-06-21 17:31:35 EDT
Complete.
Comment 8 Fedora Update System 2013-08-25 11:49:43 EDT
python-amqp-1.0.11-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-amqp-1.0.11-1.fc19
Comment 9 Fedora Update System 2013-09-02 19:24:57 EDT
python-amqp-1.0.11-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.